commit ff03a1e6d87b727f2ab22c0bf1dc8bfe9bb8b85b
Author: freddy77 <freddy77>
Date:   Thu Jul 22 14:11:40 2010 +0000

    fix truncation problem setting an ascii string attribute (like catalog)

diff --git a/ChangeLog b/ChangeLog
index 253a504..aa0f8cc 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,8 @@
+Thu Jul 22 16:11:23 CEST 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/odbc/odbc_util.c:
+	- fix truncation problem setting an ascii string attribute (like
+	  catalog)
+
 Thu Jul 22 11:55:12 CEST 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/apps/bsqldb.c src/apps/bsqlodbc.c src/apps/datacopy.c:
 	* src/apps/defncopy.c src/apps/fisql/fisql.c src/apps/freebcp.c:
@@ -2727,4 +2732,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.3085 2010/07/22 09:55:37 freddy77 Exp $
+$Id: ChangeLog,v 1.3086 2010/07/22 14:11:40 freddy77 Exp $
diff --git a/src/odbc/odbc_util.c b/src/odbc/odbc_util.c
index 7edd8e7..a96d410 100644
--- a/src/odbc/odbc_util.c
+++ b/src/odbc/odbc_util.c
@@ -41,7 +41,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: odbc_util.c,v 1.119 2010/07/18 07:26:24 freddy77 Exp $");
+TDS_RCSID(var, "$Id: odbc_util.c,v 1.120 2010/07/22 14:11:41 freddy77 Exp $");
 
 /**
  * \ingroup odbc_api
@@ -294,7 +294,7 @@ DSTR*
 odbc_dstr_copy_flag(TDS_DBC *dbc, DSTR *s, int size, ODBC_CHAR * str, int flag)
 {
 	int wide = flag&1;
-	int len = odbc_get_string_size((flag&0x20) && size >= 0 ? size/SIZEOF_SQLWCHAR : size, str, wide);
+	int len = odbc_get_string_size((flag&0x21) == 0x21 && size >= 0 ? size/SIZEOF_SQLWCHAR : size, str, wide);
 	char *buf;
 
 	if (wide)

